Dectector part of face configuration

### Hierarchy

- GenericConfig
  - FaceDetectorConfig

## Index

### Properties

- cropFactor
- enabled
- iouThreshold
- mask
- maxDetected
- minConfidence
- modelPath
- return
- rotation
- skipFrames
- skipTime

## Properties

### cropFactor

cropFactor: number

- Defined in src/config.ts:31

factor used to expand detected face before further analysis

- default: 1.6
- for high-quality inputs can be reduced to increase precision
- for video inputs or low-quality inputs can be increased to allow for more flexible tracking

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

is module enabled?

### iouThreshold

iouThreshold: number

- Defined in src/config.ts:25

minimum overlap between two detected faces before one is discarded

### mask

mask: boolean

- Defined in src/config.ts:33

should child models perform on masked image of a face

### maxDetected

maxDetected: number

- Defined in src/config.ts:21

maximum number of detected faces

### minConfidence

minConfidence: number

- Defined in src/config.ts:23

minimum confidence for a detected face before results are discarded

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

path to model json file

### return

return: boolean

- Defined in src/config.ts:35

should face detection return face tensor to be used in some other extenrnal model?

### rotation

rotation: boolean

- Defined in src/config.ts:19

is face rotation correction performed after detecting face?

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:11

how many max frames to go without re-running model if cached results are acceptable

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:13

how many max miliseconds to go without re-running model if cached results are acceptable